Subject: Re: linux-next: build failure after merge of the final tree

From: Paul Gortmaker <[email-masked]>
Date: Thu, 29 Sep 2011 23:22:32 -0400

[Re: linux-next: build failure after merge of the final tree] On 30/09/2011 (Fri 13:05) Stephen Rothwell wrote:

> Hi Paul,
> 
> On Thu, 29 Sep 2011 22:40:59 -0400 Paul Gortmaker <[email-masked]> wrote:
> >
> > On Thu, Sep 29, 2011 at 9:12 PM, Stephen Rothwell <[email-masked]> wrote:
> > >
> > > After merging the final tree, today's linux-next build (avr32 allnoconfig)
> > > failed like this:
> > >
> > > arch/avr32/mach-at32ap/pio.c: In function 'pio_probe':
> > > arch/avr32/mach-at32ap/pio.c:401: error: 'THIS_MODULE' undeclared (first use in this function)
> > >
> > > Probably revealed by the module.h split up.  I guess it needs export.h
> > > included.
> > 
> > Since export.h does not exist for most people, I'm OK adding it
> > in instances like this as a post-merge patch.
> 
> I had another look at this and it turns out that export.h is already
> included, but only conditionally.  I guess the include just needs moving
> to the top of the file.

Agreed.  A side effect of my "find a linux include and add another below
it" script.   These conditional includes (which are dubious to begin
with) seem to always get caught by that.  I'll fix this up and make it
unconditional for tomorrow.

Thanks,
Paul.

> 
> -- 
> Cheers,
> Stephen Rothwell                    [email-masked]
> http://www.canb.auug.org.au/~sfr/